Subject: bug#41097: 28.0.50; (dired-toggle-marks) not working after copy

From: Drew Adams <[email-masked]>
Date: Mon, 11 May 2020 09:18:07 -0700 (PDT)

> > IOW, explicitly say that toggling applies to `*' marks.
> 
> Yes, exactly.
> 
> > > But the inconsistency goes much further, we say that commands
> > > operate on the "marked" files, but we mean only the *-marked files.
>
> I mean commands, like
> 
>   dired-do-delete is an interactive compiled Lisp function in
>   `dired.el'.  [...]
> 
>   Delete all marked (or next ARG) files.
> 
> It doesn't say *-marked.  "Marked" typically means *-marked most of the
> time.

You're absolutely right.  The fix for this bug could
usefully be to correct the doc of any command that
acts only on `*' marks but says it acts on "marks".

Doc that says that a command acts on "marks" should
be only for a command that acts on all marks.  Doc
for a command that acts only on certain marks should
say so.

> > > (the term "marker character" is already used in the manual.)
> >
> > FWIW I don't understand why you added that part
> > in parens to your message.
> 
> I only wanted to make clear that it's not a new term but one users that
> read the manual are familiar with.  And it's maybe less misguiding than
> "flag" (personally I could also live with just "character", since marks
> are really just that).

I don't see the connection.  "Flag" has
specifically been used only for `D', the mark
for deletion.

?D is the marker character for the mark (flag)
`D'.  ?D is a character.  A visual `D' mark in
the buffer is, yes, created by putting a ?D
character in the mark position.

But that's a nit.  If what you're suggesting is
that the doc not speak of "flag `D'" but speak
instead of "marker character ?D" or "marker
character D" then I understand.  Is that it?

That's OK by me, provided the same is done
everywhere, for each mark: "marker character C"
etc.  I don't think that's really helpful - it
seems overly verbose and makes reading more
cumbersome.  But if others feel it's an
improvement, fine.

My concern here is that Emacs be consistent in
its explanations and terminology.  Another
concern is that things be clear and easy to
understand.